BTCS S.A.
Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.
How to call
Request format
GET
curl -X GET "https://newhedge.io/api/v2/companies/btcs-s-a/METRIC_NAME?api_token=YOUR_TOKEN"
Query params
api_token (required) — 24 character token.
Path params
:metric_name — one of the company metric names listed below.
Responses
200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.
Metrics
Each company metric is fetched independently.
Metric
Bitcoin Acquisitions
Bitcoin acquisition history for the company.
Endpoint
https://newhedge.io/api/v2/companies/btcs-s-a/bitcoin-acquisitions?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
Sample response
200
Successful response
[
{
"date": 1765756800000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://newconnect.pl/komunikat?geru_id=235605#pvy7zfso61",
"holding_balance": 136.5347,
"holding_net_change": 1.53,
"transaction_value_usd": 137356.0,
"average_entry_value_usd": 89500.23,
"transaction_value_calculated": false
},
{
"date": 1765756800000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://newconnect.pl/komunikat?geru_id=235605#pvy7zfso61",
"holding_balance": 136.6842,
"holding_net_change": 0.15,
"transaction_value_usd": 13382.0,
"average_entry_value_usd": 89511.71,
"transaction_value_calculated": false
},
{
"date": 1767744000000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://newconnect.pl/komunikat?geru_id=235998&title=Zamkni%C4%99cie+wcze%C5%9Bniejszej+pozycji+oraz+zawarcie+nowej+transakcji+na+instrumentach+pochodnych+na+Bitcoin+w+ramach+wsp%C3%B3%C5%82pracy+z+QCP+Trading+Pte.+Ltd.#pvy7zfso61",
"holding_balance": 137.6719,
"holding_net_change": 0.99,
"transaction_value_usd": 90338.4801,
"average_entry_value_usd": 0.0,
"transaction_value_calculated": true
}
]
Metric
Bitcoin Holdings
Historical Bitcoin holdings for the company.
Endpoint
https://newhedge.io/api/v2/companies/btcs-s-a/bitcoin-holdings?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
Sample response
200
Successful response
[
[
1789171200000,
137.6719
],
[
1789257600000,
137.6719
],
[
1789344000000,
137.6719
]
]
Metric
Bitcoin Holdings USD
Historical USD value of the company's Bitcoin holdings.
Endpoint
https://newhedge.io/api/v2/companies/btcs-s-a/bitcoin-holdings-usd?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
Sample response
200
Successful response
[
[
1789171200000,
10632242.514315
],
[
1789257600000,
10635419.981767
],
[
1789344000000,
10574325.322704
]
]
Metric
Treasury Metrics
Bitcoin treasury summary metrics for the company.
Endpoint
https://newhedge.io/api/v2/companies/btcs-s-a/treasury-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
Sample response
200
Successful response
{
"btc_percent_company": 0.0,
"total_btc_percentage": 0.001,
"share_price_change_state": "down"
}
Not available for this company
price-data(Price Data) returns 404{"error":"Data unavailable for this company"}company-data(Company Data) returns 404{"error":"Data unavailable for this company"}performance-metrics(Performance Metrics) returns 404{"error":"Data unavailable for this company"}